- Qt 6.4
- qmake Manual
- Reference
- Qt 6.4.3 Reference Documentation

Configuring qmake ◦ Variables

# Reference

The reference sections describe in detail the variables and functions that are available for use in qmake project files.

## Variable Reference

Variables describes the variables that are recognized by qmake when configuring the build process for projects.

## Function Reference

There are two types of qmake functions: replace functions and test functions. Replace functions return a value list, while test functions return a boolean result. The functions are implemented in two places: fundamental functionality is offered as built-in functions. More complex functions are implemented in a library of feature files (.prf).

The functions are divided into categories according to their type:

- Replace Functions
- Test Functions

Configuring qmake ◦ Variables